<?php

namespace App\Service\Rules;

enum RuleResultEnum: int
{
    case ALLOWED = 10;
    case WARNING = 20;
    case DENIED = 30;

    public function getString(): string
    {
        return match ($this) {
            self::ALLOWED => 'Allowed',
            self::WARNING => 'Warning',
            self::DENIED => 'Denied',
        };
    }
}
